PETSc version 3.17.4
Fix/Edit manual page

# DMSetRegionNumDS

Set the PetscDS for a given mesh region, defined by the region number

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetRegionNumDS(DM dm, PetscInt num, DMLabel label, IS fields, PetscDS ds)

Not collective

### Input Parameters

| dm | - The DM
| num | - The region number, in [0, Nds)
| label | - The region label, or NULL
| fields | - The IS containing the DM field numbers for the fields in this DS, or NULL to prevent setting
| ds | - The PetscDS defined on the given region, or NULL to prevent setting

### See Also

DMGetRegionDS(), DMSetRegionDS(), DMGetDS(), DMGetCellDS()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages